Bug 480673 - python strings are not encoded properly.
python strings are not encoded properly.
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-19 14:15 EST by Tomasz Torcz
Modified: 2009-03-08 21:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-08 21:30:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2009-01-19 14:15:52 EST
running liveusb-creator-3.0-5.fc10.noarch with pl_PL.utf8 locale results in following:

[gui:444] F10-i686-Live.iso wybrano
[creator:451] Sprawdzanie systemu plików...
[creator:334] Przywracanie MBR...
[creator:554] Sprawdzanie sumy kontrolnej MD5 pliku ISO
[creator:195] Sprawdzanie sumy kontrolnej SHA1 obrazu Live CD...
[creator:486] Rozpakowywanie obrazu Live na urządzenie USB...
[creator:505] Zapisano do urządzenia na 5 MB/sec
[creator:243] Tworzenie 1024MB warstwa trwałości
[creator:517] Instalowanie programu startowego...
[gui:204] 'ascii' codec can't decode byte 0xc3 in position 25: ordinal not in range(128)
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/liveusb/gui.py", line 194, in run
  File "/usr/lib/python2.5/site-packages/liveusb/creator.py", line 523, in install_bootloader
    os.path.join(self.dest, 'syslinux'), self.drive['device']))
  File "/usr/lib/python2.5/site-packages/liveusb/creator.py", line 187, in popen
  File "/usr/lib/python2.5/site-packages/liveusb/creator.py", line 290, in write_log
  File "/usr/lib64/python2.5/StringIO.py", line 270, in getvalue
    self.buf += ''.join(self.buflist)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 25: ordinal not in range(128)
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/liveusb/gui.py", line 334, in status
TypeError: argument 1 of QTextEdit.append() has an invalid type

I had to proceed using "LANG=C LC_ALL=C" setting.
Comment 1 Christopher Brown 2009-01-31 20:55:29 EST
I get the same error, albeit in rawhide.

[chris@kilimanjaro liveusb-creator-3.5]$ sudo LANG=de_DE.UTF-8 ./liveusb-creator
Traceback (most recent call last):
  File "./liveusb-creator", line 75, in <module>
  File "./liveusb-creator", line 70, in main
    LiveUSBApp(opts, sys.argv)
  File "/home/chris/liveusb-creator-3.5-1.fc11.src/liveusb-creator-3.5/liveusb/gui.py", line 54, in __init__
    self.mywindow = LiveUSBDialog(opts)
  File "/home/chris/liveusb-creator-3.5-1.fc11.src/liveusb-creator-3.5/liveusb/gui.py", line 245, in __init__
  File "/home/chris/liveusb-creator-3.5-1.fc11.src/liveusb-creator-3.5/liveusb/gui.py", line 275, in populate_devices
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 18: ordinal not in range(128)

Is it possible to revert:


for Fedora 9 & 10 (as they won't see Python > 2.6 I imagine).
Comment 2 Fedora Update System 2009-02-19 04:18:23 EST
Fixed in 20e3b20f17d64111a5f89525ccddf22d2d9c08d7
Comment 3 Luke Macken 2009-03-08 21:30:49 EDT
This issue should be resolved in version 3.6 of the liveusb-creator.  Please re-open this ticket if you still encounter this problem with the latest version.  Thanks!..

Note You need to log in before you can comment on or make changes to this bug.